import React from "react";

export const regRenderField = ({input, meta: {touched, error}, label, type, placeholder }) => (
    <div className="form__input-box">
        <label className="form__input-label" htmlFor="origin">
            {label}
            <input  className="input" type = {type} placeholder = {placeholder} {...input} />
        </label>
        {touched && error && <span>{error}</span>}
    </div>
);