import React from 'react'
import { Field, reduxForm } from 'redux-form'




const SendingForm = props => {
    const { handleSubmit, pristine, reset, submitting, AddNewCategory } = props

    const submit = values => {
        AddNewCategory(values)
    };

    return (
        <form onSubmit={handleSubmit(submit)}>
            <div>

                <div>
                    <Field
                        name="title"
                        component="input"
                        type="text"
                        placeholder="Название"
                    />
                </div>
            </div>
            <div>

                <div>
                    <Field
                        name="description"
                        component="input"
                        type="text"
                        placeholder="Описание"
                    />
                </div>
            </div>
            <div>
                <div>
                    <Field
                        name="parentId"
                        component="input"
                        type="number"
                        placeholder="Цена"
                    />
                </div>
            </div>
            <div>
                <button type="submit" disabled={pristine || submitting}>
                    Submit
        </button>
                <button type="button" disabled={pristine || submitting} onClick={reset}>
                    Clear Values
        </button>
            </div>
        </form>
    )
}

export default reduxForm({
    form: 'SendingForm'
})(SendingForm)