import React, { Component } from 'react';
import Loader from 'react-loader-spinner'
class SearchFullInfoStaff extends Component {
    render() {
        
        const { fullInfoSearchData, isFetching } = this.props

        let data;
            if(isFetching===true){
                data = <div className="loader"> 
                <Loader type="Triangle"
                    color="#FD7F71"
                    height="100"	
                    width="100"
                /> 
            </div> 
            }
            else {
                data = fullInfoSearchData.map((el,key)=>(<div key={key}> {el.title} {el.price} {el.description} </div>)
                    )
            } 
        return (
            <div>
                 {data}  
                    
            </div>
        );
    }
}

export default SearchFullInfoStaff;