import React, { Component } from "react";
import { bindActionCreators } from "redux";
import { connect} from 'react-redux';

import Form from "../components/Auth/authorisation";
import { getUsersData } from "../actions/usersAuthActions";

class RenderAuthorisation extends Component {      
    render() {
      return (
        <div>
          <Form {...this.props} />
        </div>       
      );
    }
}


const mapStateToProps = state => ({
  inputData: state.usersAuth.inputData
});

const mapDispatchToProps = dispatch => bindActionCreators({ getUsersData }, dispatch);

export default RenderAuthorisation = connect(
  mapStateToProps,
  mapDispatchToProps
)(RenderAuthorisation);