import * as types from "../constants/actionTypes";

const initState = {
    inputData: [],
    isFetching: false,
    error: null,
    trig: true
  };

export default (state = initState, {type, payload} ) => {
 
    switch(type) {
        case types.USER_AUTH_REQUEST: {
            return {
                ...state,
                isFatching: true,
            }
        }
        case types.USER_AUTH_REQUEST_SUCCESS: {
            
            if (payload.data===null){
                payload.data = false
            }
            else if (payload.data!==null && payload.data.id !==undefined ){
                const { id } = payload.data
                localStorage.setItem("login",JSON.stringify(id))
            }
            return {
                ...state,
                inputData: payload.data,
                isFatching: false,
            }
        }
        case types.USER_AUTH_REQUEST_FAIL: {
            return {
                ...state,
                isFatching: false,
                error: "ERROR",
            }
        }
        
        
        default: return state;
    }
};